<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class DataTransaksi extends CI_Controller {
    private $filename = "import_data"; // Kita tentukan nama filenya
    public $nama_tabel = 'tbl_transaksi';
    public function __construct()
    {
        parent::__construct();
        $this->load->model('admin');
        $this->load->model('Transaksi_model', 't_m');
        $this->load->helper(array('form', 'url'));

    }

    public function index()
    {

        if($this->admin->login())
        {

            $data['sidemenu'] = $this->load->view('layout/sidemenu',array(),true);
            $data['header'] = $this->load->view('layout/header',array("username" => $this->session->userdata('username')),true);
            $data['menu'] = $this->load->view('layout/menu',array("username" => $this->session->userdata('username')),true);
            $data['footer'] = $this->load->view('layout/footer',array(),true);
            $this->load->view('data', $data);
        }else{
            //jika session belum terdaftar, maka redirect ke halaman login
            redirect(site_url());
        }
    }

    public function logout()
    {
        $this->session->sess_destroy();
        redirect(site_url());
    }

    function tampilTransaksiDataTables() {
        $list = $this->t_m->showAllTransaksi();
        $data = array();
        foreach ($list as $transaksi) {
            $row = array();
            $row['id_penjualan'] = $transaksi->id_penjualan;
            $row['transaction_date'] = $transaksi->transaction_date;
            $row['produk'] = $transaksi->produk;
            $data[] = $row;
        }
        echo json_encode($data);
    }

    public function hapusTransaksi(){
        $this->t_m->deleteAllTransaksi();
        redirect('datatransaksi','refresh');
    }

    public function insertTransaksi(){
        $this->t_m->deleteAllTransaksi();
        $list = $this->t_m->selectFromStockNasa();
        $data = array();
        foreach ($list as $transaksi) {
            $row = array();
            $row['id_penjualan'] = $transaksi->id_penjualan;
            $row['transaction_date'] = $transaksi->transaction_date;
            $row['produk'] = $transaksi->produk;
            $data[] = $row;
        }
        $this->t_m->insert_multiple($data);// Panggil fungsi insert_multiple
        redirect('datatransaksi','refresh');
    }    

}